> ## Documentation Index
> Fetch the complete documentation index at: https://docs.surnex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1providers



## OpenAPI

````yaml https://api.surnex.io/.well-known/openapi.json get /v1/providers
openapi: 3.1.0
info:
  title: Surnex API
  version: 0.2.0
servers:
  - url: https://api.surnex.io
security: []
paths:
  /v1/providers:
    get:
      tags:
        - v1
      responses:
        '200':
          description: Provider directory for Surnex execution providers.
          content:
            application/json:
              schema:
                type: object
                properties:
                  providers:
                    type: array
                    items:
                      type: object
                      properties:
                        provider_id:
                          type: string
                          minLength: 1
                        brand_name:
                          type: string
                        description:
                          type: string
                        active:
                          type: boolean
                        supports_generic_execution:
                          type: boolean
                        catalog_url:
                          type: string
                          minLength: 1
                      required:
                        - provider_id
                        - brand_name
                        - description
                        - active
                        - supports_generic_execution
                        - catalog_url
                  total:
                    type: integer
                    minimum: 0
                required:
                  - providers
                  - total
                description: SurnexProvidersResponse
              examples:
                providers:
                  value:
                    providers:
                      - provider_id: dataforseo
                        brand_name: DataForSEO
                        description: Search, LLM mentions, and SEO execution operations.
                        active: true
                        supports_generic_execution: true
                        catalog_url: /v1/providers/dataforseo/catalog
                    total: 1
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      request_id:
                        type: string
                      details:
                        type: object
                        properties: {}
                        default: {}
                        additionalProperties: {}
                    required:
                      - code
                      - message
                      - request_id
                required:
                  - error
                description: ErrorResponse
              examples:
                unauthorized:
                  value:
                    error:
                      code: UNAUTHORIZED
                      message: Unauthorized
                      request_id: req_123
                      details:
                        reason: missing_or_invalid_api_key
      security:
        - bearerAuth: []
        - apiKeyAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: 'Authorization: Bearer sk_...'
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````